
# Biblioteca Andreo

Funções atuais:
- leitura de pdf com textos ou textos em imagens e transformação para string.

## Instalação
Utilize a biblioteca ``pip install andreo``
#### Dependencias
```
pip install pdf2image
pip install numpy
pip install pytesseract
pip install opencv-python
```

# Exemplos
- Função recortaUmaPagina(pdfPath,pagina,aI,aF,lI,lF,mode):
    * pdfPath: String = diretorio completo do arquivo. Ex: '/Users/yourUser/yourFolder/YourPDF.pdf'
    
    * pagina: Int = o numero da pagina que deseja ler ou verificar os tamanhos. Ex: 0.
      !! IMPORTANTE !!: A primeira pagina do seu arquivo PDF é a 0
    
    * aI, aF, lI, e lF: Int = são as coordenadas de corte. Caso não sejam preenchidas a função perguntará o tamanho do recorte
    
    * mode: String = O modo de uso da função. Para retornar uma string com os tamanhos da imagem use 'definicao',
      para retornar o texto da area selecionada use: 'recorte'. !! IMPORTANTE !! se não for preenchido, o padrão é recorte\n
    #### Exemplos
  * ``recortaUmaPagina(r'yourFolder/YourPDF.pdf',0,0,800,0,800)`` = vai retornar o texto escrito no pdf nas cordenadas [0:800:0:800]
  * ``recortaUmaPagina(r'yourFolder/YourPDF.pdf',0,'definicao')``= vai permitir testar coordenadas diferentes e retorna-la como string

- Para manipular um PDF, página por página para por exemplo pegar mais de uma informação dela use o código abaixo:
```
import Andreo                                                        
path = r'/Users/yourUser/yourFolder/YourPDF.pdf'                     
pdf = Andreo.PdfCutReader(path)                                      
allPages = pdf.allPages()                                            
buffer = io.BytesIO()                                                
for page in range(allPages.__ len__()):                               
    pg = allPages[page]                                           
    pg.save(buffer, format="png")                                    
    bytesImg = buffer.getvalue()                                     
    texto1 = retornaString(definicao(bytesImg,0,500,0,500))          
    texto2 = pdf.retornaString(pdf.definicao(bytesImg, 10,244,0,60)) 
    break                                                            
buffer.close()
```

- Função leUmaPaginaInteira(pdfPath: str, pagina: int):
    * pdfPath: String = diretorio completo do arquivo. Ex: '/Users/yourUser/yourFolder/YourPDF.pdf'
    * pagina: Int = o numero da pagina que deseja ler ou verificar os tamanhos. Ex: 0.\n\t!! IMPORTANTE !!: A primeira pagina do seu arquivo PDF é a 0
    Exemplo 1: ```leUmaPaginaInteira(r'yourFolder/YourPDF.pdf',0``` = vai retornar o texto escrito no pdf nas cordenadas [0:800:0:800]

# Authors
- Github [@andreonaymayer](https://www.github.com/andreonaymayer)

